/*
Copyright (c) 2011 TeamF1, Inc.
All rights reserved.
*/
/* lan_traffic_meter.htm */

/*
## This function validates the page and returns true or false.
*/
function lanTrafficMeterValidate ()
    {
    var errMsgL10n1 = 'Please enter a monthly limit (in MB) for the traffic';
    var errMsgL10n2 = 'Invalid restart time for counter - Enter valid hour between 0 and 23';
    var errMsgL10n3 = 'Invalid restart time for counter.';
    var errMsgL10n4 = 'Invalid restart time for counter - Enter valid minutes between 0 and 59';
    var errMsgL10n5 = 'Invalid Monthly Limit. ';
    var errMsgL10n6 = 'MB';
    
    if(document.getElementById('tbllanAccntAddr')) /*If object founds then only it will validate the IP*/
        {
        if (ipv4AddrOctetsValidate ('tbllanAccntAddr', 'IP', false, true, "Invalid LAN IP address.", "for octet ", true) == false)
            return false;
        }
        
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtlanAccntMeterLimit,"+errMsgL10n1;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
        return false;
    
    var monLimitObj = document.getElementById('txtlanAccntMeterLimit');
    if (numericValueRangeCheck (monLimitObj, '', '', 100, 256000, true, errMsgL10n5, errMsgL10n6) == false)
        return false;

    var timeHrObj = document.getElementById('txtSpecificTimeHr');
    if (numericValueRangeCheck (timeHrObj, 1, "", 0, 23, true, errMsgL10n3, "Hours") == false)
        return false;
    var timeMinObj = document.getElementById('txtSpecificTimeMin');
    if (numericValueRangeCheck (timeMinObj, 1, "", 0, 59, true, errMsgL10n3, "Minutes") == false)
        return false;
    return true;          
    }
